PHP Manual
Prev |  | Next

# OCI-Lob->seek

(no version information, might be only in CVS)

OCI-Lob->seek -- Sets the internal pointer of the large object

## Description

class OCI-Lob {
bool seek ( int offset [, int whence] )
}

Sets the internal pointer of the large object.

## Parameters

`offset`

  Indicates the amount of bytes, on which internal pointer should be moved from the position, pointed by `whence`.

`whence`

  May be one of:

  `OCI_SEEK_SET` - sets the position equal to `offset`
  `OCI_SEEK_CUR` - adds `offset` bytes to the current position
  `OCI_SEEK_END` - adds `offset` bytes to the end of large object (use negative value to move to a position before the end of large object)

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

OCI-Lob->rewind
OCI-Lob->tell
OCI-Lob->eof

Prev | Home | Next
OCI-Lob->saveFile | Up | OCI-Lob->setBuffering